- @page_title = t('.title', name: @genus.name)

= render 'layouts/page_actions', back_url: admin_genera_path,
                                 edit_url: edit_admin_genus_path(@genus),
                                 destroy_url: admin_genus_path(@genus)

._show-page
  %aside._show-page__panel
    %section
      %dl
        %dt= t('generic.definition', value: t('generic.id'))
        %dd.-text--monospace= @genus.id

        %dt= t('generic.definition', value: t('activerecord.attributes.genus.name'))
        %dd= @genus.name

        %dt= t('generic.definition', value: t('activerecord.attributes.genus.sync_id'))
        %dd= @genus.sync_id.presence || '-'

        %dt= t('generic.definition', value: t('activerecord.attributes.genus.family'))
        = missing_data_element :dd, @genus.family, url: edit_admin_genus_url(@genus) do
          - link_to @genus.family.name, admin_family_path(@genus.family)

        %dt= t('generic.definition', value: t('activerecord.attributes.genus.source'))
        = missing_data_element :dd, @genus.source, url: edit_admin_genus_path(@genus) do
          - link_to @genus.source, @genus.source

  ._show-page__content.-grid-2.-gap
    %section
      %h2= t('.resources')
      - if @genus.resources.empty?
        .rui-empty= t('generic.nothing_to_display_yet')
      - else
        %table
          %thead
            %tr
              %th= t('activerecord.attributes.resource.name')
              %th= t('activerecord.attributes.resource.latin_name')
              %th
          %tbody
            - @genus.resources.each do |resource|
              %tr
                %td= link_to resource.name, admin_resource_url(resource)
                = missing_data_element :td, resource.latin_name, replacement: '-'
                %td.-actions
                  = render 'layouts/entity_actions', edit_url: edit_admin_resource_path(resource),
                                                     destroy_url: admin_resource_path(resource)

      .rui-actions
        = link_to t('.new_resource'),
                  new_admin_resource_path(params: { genus_id: @genus.id }),
                  class: 'rui-button rui-button--creative'

    %section= render 'admin/versions/versions', entity: @genus
